            autowatch = 1;
            inlets = 1;
            outlets = 2;

           ////set the maximum number of lines and initial conditions

            var textLine = "Hello";
            var i = -1;
            var line = 0;
            var numberOfLines = 18;
            var maxLines = 19;
            var moveAmount = 0.005;
            var minHeight = -0.75
 
            ////build array of text2d objects

            var textLineArray = new Array();
            for (j=0;j<20;j++){
                textLineArray[j]= new JitterObject("jit.gl.text2d","werds");
                    textLineArray[j].text();
                    textLineArray[j].antialias = 1;
                    textLineArray[j].align = 1;
                    textLineArray[j].color = [0.,0.,0.,0.];
                    textLineArray[j].position = [0.,0.,0.];
                    textLineArray[j].size(14);
                    textLineArray[j].face("bold");
                    textLineArray[j].tracking = 1.2;
                    textLineArray[j].screenmode = 1;
                    textLineArray[j].blending_enable = 1;
                }

            ////create timers and intervals

            var loadIntervalIDArch= new Task(loadText, this);
            loadIntervalIDArch.interval = 20;

            var unloadIntervalIDArch= new Task(unloadText, this);
            unloadIntervalIDArch.interval = 20;

            ////set the number of objects to be used in the animation

           function poemLengthSetter(length){
                numberOfLines=length;
            }

             ////clear any text in any of the aobjects in the array and reset conditions

            function removeText(){
                     for (k=0;k<maxLines;k++){
                            textLineArray[k].text();
                        }
                       maxHeight = 0.75;
                       i=-1;
                        line=0;
                    }
             ////make a line of text from a text object (dumped)
            ////the text is formated quotes. Only one line at a time

            function textLineMaker(a){

                   //// set initial conditions and if over the number of lines return
                    i += 1;
                    //if (i >numberOfLines){
                    //    return;
                   // }

                    ////set the argument received from a text file to a global variable
                    ////and set the proerties and text of the corresponding text2d object in the array
                    textLine = a;
                    textLineArray[i].color = [1.,1.,1.,1.];
                    textLineArray[i].position = [0.,0.,0.];
                    textLineArray[i].font("Arial");
                    textLineArray[i].size(14);
                    if (i==0){
                        textLineArray[i].size(20);
                    }

                    ////draw the text and call the loading function
                    textLineArray[i].text(textLine);
                    textLineArray[i].draw();
                    lineMover();
            }
            
            ////functions that load the timers to move the text
            function lineMover(){
                    loadIntervalIDArch.repeat();
            }

            function lineUnloader(){
                    unloadIntervalIDArch.repeat();
            }

///////function that moves the text and fades in the color

function loadText(){

    /////cancel the unload timer if it is still going

    unloadIntervalIDArch.cancel();
     //post("loadTextArchive called");

    /////check to see if the text is above it bottom position, if so
    /////move the text and lighten an incement
     if (textLineArray[line].position[1] >= minHeight){
        //post("move called");
        var i = textLineArray[line].position[1];
        var c = textLineArray[line].color[0];
        i -= moveAmount;
        c= textLineArray[line].position[1]/minHeight;

        /////set the maximum color level

        if (c>=0.7){
            c=0.7;
        }
        //post(c);

        ////set the position and color

        textLineArray[line].position = [0.0,i, 0.0];
        textLineArray[line].color= [c,c,c,1.];
        //post("moved\n");
    }

    ////if text has reached minum height set new minimum height and increment the line number
    ////also cancel the movement timer

    if (textLineArray[line].position[1] <= minHeight){
        minHeight += .033;
        line += 1;
        loadIntervalIDArch.cancel();
        //post("mined out height\n");
    }  

    ////if the maximum number of input lines has ben reached 
    ////cancel the timer and reset variables to initial conditions
    ////call the unload timer and send out as bang to dump the accumulated lines

    if (line >= numberOfLines){
        loadIntervalIDArch.cancel();
        minHeight = -0.75;
        line = 0;
        //post(line);
        lineUnloader();;
        outlet(0,"bang");
    }
}
    ////unloads the text.  is exctly opposite from loading text

function unloadText(){
     loadIntervalIDArch.cancel();
    //post(line + "\n")
     //post("unloadTextArchive called\n");

 //// if the text2d object is not off the screen move it down and fade it out

     if (textLineArray[line].position[1] >= -1.){
        //post("move called");
        var i = textLineArray[line].position[1];
        var c = textLineArray[line].color[0];
        i -= moveAmount;
        c-=(1-(line*0.025))/40;
        if (c<=0){
            c=0;
        }
        //post(c);
        textLineArray[line].position = [0.0,i, 0.0];
        textLineArray[line].color= [c,c,c,1.];
        //post("moved\n");
    }

 ////if the linehas reached the bottom increment the line to move the next text2d object down

    if (textLineArray[line].position[1] <= -1.){
        line += 1;
        //post("maxed out height\n");
    }  

////if the last line has been reached, kill the timer
//// and reset the initial conditions
///also run the remove text function to erase the text prpertiesof the text2d object
////finally issue a bang out the right outlet to begin the process of loadin a new poem
    if (line >= numberOfLines){
        unloadIntervalIDArch.cancel();
        post("unload cancled");
       minHeight = -0.75;
        line = 0;
        //post(line);
        removeText();
        outlet(1,"bang");
    } 
}


            